Flecs: flecs::array< T, Size, enable_if_t< Size !=0 > > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
flecs::array< T, Size, enable_if_t< Size !=0 > > Struct Template Referencefinal

## Public Member Functions
| array (const T(&elems)[Size])
T & | operator[] (int index)
T & | operator[] (size_t index)
array_iterator< T > | begin ()
array_iterator< T > | end ()
size_t | size ()
T * | ptr ()
template<typename Func>
void | each (const Func &func)

## Detailed Description

template<typename T, size_t Size>
struct flecs::array< T, Size, enable_if_t< Size !=0 > >

Definition at line 44 of file array.hpp.

## Constructor & Destructor Documentation

## ◆ array() [1/2]

template<typename T, size_t Size>

flecs::array< T, Size, enable_if_t< Size !=0 > >::array | ( |  | ) |
| inline

Definition at line 45 of file array.hpp.

## ◆ array() [2/2]

template<typename T, size_t Size>

flecs::array< T, Size, enable_if_t< Size !=0 > >::array | ( | const T(&) | elems[Size] | ) |
| inline

Definition at line 47 of file array.hpp.

## Member Function Documentation

## ◆ begin()

template<typename T, size_t Size>

array_iterator< T > flecs::array< T, Size, enable_if_t< Size !=0 > >::begin | ( |  | ) |
| inline

Definition at line 62 of file array.hpp.

## ◆ each()

template<typename T, size_t Size>
template<typename Func>

void flecs::array< T, Size, enable_if_t< Size !=0 > >::each | ( | const Func & | func | ) |
| inline

Definition at line 79 of file array.hpp.

## ◆ end()

template<typename T, size_t Size>

array_iterator< T > flecs::array< T, Size, enable_if_t< Size !=0 > >::end | ( |  | ) |
| inline

Definition at line 66 of file array.hpp.

## ◆ operator[]() [1/2]

template<typename T, size_t Size>

T & flecs::array< T, Size, enable_if_t< Size !=0 > >::operator[] | ( | int | index | ) |
| inline

Definition at line 54 of file array.hpp.

## ◆ operator[]() [2/2]

template<typename T, size_t Size>

T & flecs::array< T, Size, enable_if_t< Size !=0 > >::operator[] | ( | size_t | index | ) |
| inline

Definition at line 58 of file array.hpp.

## ◆ ptr()

template<typename T, size_t Size>

T * flecs::array< T, Size, enable_if_t< Size !=0 > >::ptr | ( |  | ) |
| inline

Definition at line 74 of file array.hpp.

## ◆ size()

template<typename T, size_t Size>

size_t flecs::array< T, Size, enable_if_t< Size !=0 > >::size | ( |  | ) |
| inline

Definition at line 70 of file array.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/utils/array.hpp